Bug 1489656 - Systems without dmidecode fail introspection
Summary: Systems without dmidecode fail introspection
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-ironic-python-agent
Version: 12.0 (Pike)
Hardware: ppc64le
OS: Unspecified
medium
medium
Target Milestone: beta
: 13.0 (Queens)
Assignee: Tony Breeds
QA Contact: mlammon
URL:
Whiteboard:
Depends On:
Blocks: RHOS-13-ppc64le 1497268
TreeView+ depends on / blocked
 
Reported: 2017-09-08 03:50 UTC by Tony Breeds
Modified: 2018-06-27 13:37 UTC (History)
4 users (show)

Fixed In Version: openstack-ironic-python-agent-3.2.1-0.20180219221752.a13b555.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1497268 (view as bug list)
Environment:
Last Closed: 2018-06-27 13:36:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1715790 None None None 2017-09-08 03:50:55 UTC
OpenStack gerrit 501799 None MERGED Use lshw in place of dmidecode for the default hardware manager 2020-09-01 12:37:16 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:37:07 UTC

Description Tony Breeds 2017-09-08 03:50:55 UTC
Description of problem:  DMI isn't a supported way to obtain system information from a POWER8.  Currently dmidecode is used to information about the system  the only one of these that causes a problem is Physical Memory.

IPA reports {phyical_mb: None, total: <some number>} which causes the introspection data to be rejected.


Version-Release number of selected component (if applicable):
openstack-ironic-python-agent (all versions)

Comment 1 Tony Breeds 2017-09-19 15:01:56 UTC
I'm not certain how to link this correctly to flag this is needed in RHOS 12 if https://bugzilla.redhat.com/show_bug.cgi?id=1491837 is approved

Comment 2 Bob Fournier 2017-09-19 15:05:40 UTC
Tony - I'd recommend cloning this bug and setting the flag to rhos-12.0 if this should be in OSP-12.

Comment 3 Josh Boyer 2017-09-29 15:35:53 UTC
(In reply to Bob Fournier from comment #2)
> Tony - I'd recommend cloning this bug and setting the flag to rhos-12.0 if
> this should be in OSP-12.

Done via bug 1497268.  Making this bug block our overall Queens ppc64le RFE.

Comment 4 Dmitry Tantsur 2017-10-20 12:18:18 UTC
So, there are two solutions for this problem: Tony's https://review.openstack.org/#/c/501938/ and https://review.openstack.org/#/c/501799/ from Michael Turek from IBM. I think the latter is closer to what we need, as lshw produces the correct result.

Comment 5 Dmitry Tantsur 2017-10-20 12:19:45 UTC
Tony, can I assign it to you please, as you seem to be working on it?

Comment 6 Bob Fournier 2018-02-02 22:20:54 UTC
Tony - it looks like https://review.openstack.org/#/c/501799/ has merged.  Are there any other patches associated with this bug? If not, we can move this to POST.

Comment 10 mlammon 2018-05-23 18:21:15 UTC
installed latest osp 13 05.18.1 

introspect nodes and check the introspection data from Dell PowerEdge R320

openstack baremetal introspection data save $(openstack baremetal node list -c UUID -f value|head -n1)| jq .inventory.memory
{
  "total": 84418744320,
  "physical_mb": 81920
}

openstack baremetal introspection data save $(openstack baremetal node list -c UUID -f value|head -n1)| jq .inventory.system_vendor
{
  "manufacturer": "Dell Inc.",
  "product_name": "PowerEdge R320 (SKU=NotProvided;ModelName=PowerEdge R320)",
  "serial_number": "JLRCY12"
}

------
I also checked on virtual environment. 

(undercloud) [stack@undercloud-0 ~]$ openstack baremetal introspection data save $(openstack baremetal node list -c UUID -f value|head -n1)| jq .inventory.memory
{
  "total": 4142874624,
  "physical_mb": 4096
}
(undercloud) [stack@undercloud-0 ~]$ openstack baremetal introspection data save $(openstack baremetal node list -c UUID -f value|head -n1)| jq .inventory.system_vendor
{
  "manufacturer": "Red Hat",
  "product_name": "KVM",
  "serial_number": ""
}

Comment 12 errata-xmlrpc 2018-06-27 13:36:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.